Skip to content

Who is on call

GET
/api/v1/oncall/now
curl --request GET \
--url https://example.com/api/v1/oncall/now \
--header 'Authorization: Bearer <token>'

OK

Media typeapplication/json
Array<object>
object
contacts
required
Array<object>
object
createdAt
required
string format: date-time
email
string
id
required
string
name
required
string
phone
string
preferences
Array<object>
object
channels
required
Array<string>
period
string
profile
required
string
severity
string
tenantId
required
string
timeZone
string
updatedAt
required
string format: date-time
userId
string
version
required
integer
schedule
required
string
shifts
required
Array<object>
object
contactId
required
string
end
required
string format: date-time
layer
string
override
boolean
start
required
string format: date-time
Examplegenerated
[
{
"contacts": [
{
"createdAt": "2026-04-15T12:00:00Z",
"email": "example",
"id": "example",
"name": "example",
"phone": "example",
"preferences": [
{
"channels": [
"example"
],
"period": "example",
"profile": "example",
"severity": "example"
}
],
"tenantId": "example",
"timeZone": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"userId": "example",
"version": 1
}
],
"schedule": "example",
"shifts": [
{
"contactId": "example",
"end": "2026-04-15T12:00:00Z",
"layer": "example",
"override": true,
"start": "2026-04-15T12:00:00Z"
}
]
}
]

Problem Details (RFC 9457)

Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}